OpenGLRaw-2.6.0.0: A raw binding for the OpenGL graphics system

Copyright | (c) Sven Panne 2015
License | BSD3
Maintainer | Sven Panne <svenpanne@gmail.com>
Stability | stable
Portability | portable
Safe Haskell | None
Language | Haskell2010

Graphics.Rendering.OpenGL.Raw.NV.ExplicitMultisample

Contents

- Extension Support
- Enums
- Functions

Description

Synopsis

- glGetNVExplicitMultisample :: MonadIO m => m Bool
- gl_NV_explicit_multisample :: Bool
- gl_INT_SAMPLER_RENDERBUFFER_NV :: GLenum
- gl_MAX_SAMPLE_MASK_WORDS_NV :: GLenum
- gl_SAMPLER_RENDERBUFFER_NV :: GLenum
- gl_SAMPLE_MASK_NV :: GLenum
- gl_SAMPLE_MASK_VALUE_NV :: GLenum
- gl_SAMPLE_POSITION_NV :: GLenum
- gl_TEXTURE_BINDING_RENDERBUFFER_NV :: GLenum
- gl_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV :: GLenum
- gl_TEXTURE_RENDERBUFFER_NV :: GLenum
- gl_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV :: GLenum
- glGetMultisamplefvNV :: MonadIO m => GLenum -> GLuint -> Ptr GLfloat -> m ()
- glSampleMaskIndexedNV :: MonadIO m => GLuint -> GLbitfield -> m ()
- glTexRenderbufferNV :: MonadIO m => GLenum -> GLuint -> m ()

# Extension Support

glGetNVExplicitMultisample :: MonadIO m => m Bool

Is the NV_explicit_multisample extension supported?

gl_NV_explicit_multisample :: Bool

Is the NV_explicit_multisample extension supported? Note that in the presence of multiple contexts with different capabilities, this might be wrong. Use `glGetNVExplicitMultisample` in those cases instead.

# Enums

gl_INT_SAMPLER_RENDERBUFFER_NV :: GLenum

gl_MAX_SAMPLE_MASK_WORDS_NV :: GLenum

gl_SAMPLER_RENDERBUFFER_NV :: GLenum

gl_SAMPLE_MASK_NV :: GLenum

gl_SAMPLE_MASK_VALUE_NV :: GLenum

gl_SAMPLE_POSITION_NV :: GLenum

gl_TEXTURE_BINDING_RENDERBUFFER_NV :: GLenum

gl_TEXTURE_RENDERBUFFER_DATA_STORE_BINDING_NV :: GLenum

gl_TEXTURE_RENDERBUFFER_NV :: GLenum

gl_UNSIGNED_INT_SAMPLER_RENDERBUFFER_NV :: GLenum

# Functions

glGetMultisamplefvNV

Arguments

:: MonadIO m |
=> GLenum | `pname` of type `GetMultisamplePNameNV`.
-> GLuint | `index`.
-> Ptr GLfloat | `val` pointing to `2` elements of type `GLfloat`.
-> m () |

This command is an alias for `glGetMultisamplefv`.

glSampleMaskIndexedNV

Arguments

:: MonadIO m |
=> GLuint | `index`.
-> GLbitfield | `mask` of type `SampleMaskNV`.
-> m () |

glTexRenderbufferNV

Arguments

:: MonadIO m |
=> GLenum | `target` of type TextureTarget.
-> GLuint | `renderbuffer`.
-> m () |